
floor = list(input())
if int("".join(floor)) >= 1 and int("".join(floor)) <= 10**18: 
  for i in range(len(floor)):
    floor[i] = int(floor[i])
  for i in range(len(floor)):

    if floor[i] == 2:
      floor[i] = 5
    elif floor[i] == 5:
      floor[i] = 2

      
    
  rev = list(reversed(floor))

  while True:

    if rev[0]==0:
      rev.pop(0)
    else:
      break
  for i in range(len(rev)):
    rev[i]=str(rev[i])
  print("".join(rev))
else:
  print("Это число слишком большое или маленькое. Введите другое число ")
  
